Package org.kapott.hbci.security

# Class Sig

java.lang.Object
org.kapott.hbci.security.Sig

public final class Sig extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HASHALG_RIPEMD160`
`static final String`
`HASHALG_SHA1`
`static final String`
`HASHALG_SHA256`
`static final String`
`HASHALG_SHA256_SHA256`
`static final String`
`HASHALG_SHA384`
`static final String`
`HASHALG_SHA512`
`static final String`
`SECFUNC_FINTS_SIG_DIG`
`static final String`
`SECFUNC_FINTS_SIG_SIG`
`static final String`
`SECFUNC_HBCI_SIG_DDV`
`static final String`
`SECFUNC_HBCI_SIG_RDH`
`static final String`
`SECFUNC_SIG_PT_2STEP_MAX`
`static final String`
`SECFUNC_SIG_PT_2STEP_MIN`
`static final String`
`SIGALG_DES`
`static final String`
`SIGALG_RSA`
`static final String`
`SIGMODE_ISO9796_1`
`static final String`
`SIGMODE_ISO9796_2`
`static final String`
`SIGMODE_PKCS1`
`static final String`
`SIGMODE_PSS`
`static final String`
`SIGMODE_RETAIL_MAC`

## Constructor Summary

Constructors
Constructor
Description
`Sig(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)`

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy()`
`void`
`init(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)`
`void`
`setParam(String key, String value)`
`boolean`
`signIt()`
`boolean`
`verify()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SECFUNC_HBCI_SIG_RDH

public static final String SECFUNC_HBCI_SIG_RDH

See Also:
  - Constant Field Values

### SECFUNC_HBCI_SIG_DDV

public static final String SECFUNC_HBCI_SIG_DDV

See Also:
  - Constant Field Values

### SECFUNC_FINTS_SIG_DIG

public static final String SECFUNC_FINTS_SIG_DIG

See Also:
  - Constant Field Values

### SECFUNC_FINTS_SIG_SIG

public static final String SECFUNC_FINTS_SIG_SIG

See Also:
  - Constant Field Values

### SECFUNC_SIG_PT_2STEP_MIN

public static final String SECFUNC_SIG_PT_2STEP_MIN

See Also:
  - Constant Field Values

### SECFUNC_SIG_PT_2STEP_MAX

public static final String SECFUNC_SIG_PT_2STEP_MAX

See Also:
  - Constant Field Values

### HASHALG_SHA1

public static final String HASHALG_SHA1

See Also:
  - Constant Field Values

### HASHALG_SHA256

public static final String HASHALG_SHA256

See Also:
  - Constant Field Values

### HASHALG_SHA384

public static final String HASHALG_SHA384

See Also:
  - Constant Field Values

### HASHALG_SHA512

public static final String HASHALG_SHA512

See Also:
  - Constant Field Values

### HASHALG_SHA256_SHA256

public static final String HASHALG_SHA256_SHA256

See Also:
  - Constant Field Values

### HASHALG_RIPEMD160

public static final String HASHALG_RIPEMD160

See Also:
  - Constant Field Values

### SIGALG_DES

public static final String SIGALG_DES

See Also:
  - Constant Field Values

### SIGALG_RSA

public static final String SIGALG_RSA

See Also:
  - Constant Field Values

### SIGMODE_ISO9796_1

public static final String SIGMODE_ISO9796_1

See Also:
  - Constant Field Values

### SIGMODE_ISO9796_2

public static final String SIGMODE_ISO9796_2

See Also:
  - Constant Field Values

### SIGMODE_PKCS1

public static final String SIGMODE_PKCS1

See Also:
  - Constant Field Values

### SIGMODE_PSS

public static final String SIGMODE_PSS

See Also:
  - Constant Field Values

### SIGMODE_RETAIL_MAC

public static final String SIGMODE_RETAIL_MAC

See Also:
  - Constant Field Values

## Constructor Details

### Sig

public Sig(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)

## Method Details

### init

public void init(IHandlerData handlerdata, MSG msg, HBCIPassportList passports)

### signIt

public boolean signIt()

### verify

public boolean verify()

### setParam

public void setParam(String key, String value)

### destroy

public void destroy()